Overview | Package | Class | Tree | Deprecated | Index | Help
| Qizx/Open v0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.xfra.qizxopen.xquery.dm
Interface Node

All Superinterfaces:
  Item, Node

All Known Implementing Classes:
  NodeBase

public interface Node
extends Item, Node

A Data-Model Node that is also a XPath/XQuery Item.

Field Summary

Fields inherited from interface net.xfra.qizxopen.xquery.Item
`INCOMPARABLE`

Fields inherited from interface net.xfra.qizxopen.dm.Node
`ATTRIBUTE, COMMENT, DOCUMENT, ELEMENT, NAMESPACE, PROCESSING_INSTRUCTION, TEXT, TYPE_BINARY, TYPE_BOOLEAN, TYPE_DATETIME, TYPE_DOUBLE, TYPE_INTEGER, TYPE_NODE, TYPE_STRING`

Method Summary
`Value` | `getAncestors(NodeTest nodeTest)` Returns an iterator on ancestors that match the node test.
`Value` | `getAncestorsOrSelf(NodeTest nodeTest)`
`Node` | `getAttribute(QName name)`
`Value` | `getAttributes()`
`Value` | `getAttributes(NodeTest nodeTest)`
`Value` | `getChildren()`
`Value` | `getChildren(NodeTest nodeTest)`
`Value` | `getDescendants(NodeTest nodeTest)`
`Value` | `getDescendantsOrSelf(NodeTest nodeTest)`
`Node` | `getDocument()`
`Value` | `getFollowing(NodeTest nodeTest)`
`Value` | `getFollowingSiblings(NodeTest nodeTest)`
`Value` | `getNamespaces(boolean inScope)`
`Node` | `getParent()`
`Value` | `getParent(NodeTest nodeTest)` Returns a sequence of length 1 (if the parent matches the nodeTest) else 0.
`Value` | `getPreceding(NodeTest nodeTest)` Preceding nodes in document order.
`Value` | `getPrecedingSiblings(NodeTest nodeTest)` Preceding siblings in document order.

Methods inherited from interface net.xfra.qizxopen.xquery.Item
`asBoolean, asDecimal, asDouble, asFloat, asInteger, asNode, asString, compareTo, deepEqual, getType, isNode`

Methods inherited from interface net.xfra.qizxopen.dm.Node
`addText, ancestors, ancestorsOrSelf, attribute, attributes, attributes, children, children, compareStringValues, contains, descendants, descendantsOrSelf, docPosition, document, following, followingSiblings, getAtomType, getAtomValue, getBaseURI, getChars, getDefinedNSCount, getDocumentURI, getDoubleValue, getIntegerValue, getNature, getNodeKind, getNodeName, getNsPrefix, getNsUri, getStringValue, isElement, namespaces, orderCompare, parent, parent, preceding, precedingSiblings`

Method Detail

### getDocument

    public Node getDocument()

### getParent

    public Node getParent()

### getAttribute

    public Node getAttribute(QName name)

### getChildren

    public Value getChildren()

### getAttributes

    public Value getAttributes()

### getNamespaces

    public Value getNamespaces(boolean inScope)

### getAncestors

    public Value getAncestors(NodeTest nodeTest)

  Returns an iterator on ancestors that match the node test.

  Parameters:
    `nodeTest` - concrete classes are BaseNodeTest(node-kind?, nsuri?, ncname?), UnionNodeTest, DocumentTest.

### getAncestorsOrSelf

    public Value getAncestorsOrSelf(NodeTest nodeTest)

### getParent

    public Value getParent(NodeTest nodeTest)

  Returns a sequence of length 1 (if the parent matches the nodeTest) else 0.

### getChildren

    public Value getChildren(NodeTest nodeTest)

### getDescendants

    public Value getDescendants(NodeTest nodeTest)

### getDescendantsOrSelf

    public Value getDescendantsOrSelf(NodeTest nodeTest)

### getAttributes

    public Value getAttributes(NodeTest nodeTest)

### getFollowingSiblings

    public Value getFollowingSiblings(NodeTest nodeTest)

### getPrecedingSiblings

    public Value getPrecedingSiblings(NodeTest nodeTest)

  Preceding siblings in document order.

### getFollowing

    public Value getFollowing(NodeTest nodeTest)

### getPreceding

    public Value getPreceding(NodeTest nodeTest)

  Preceding nodes in document order.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright Xavier FRANC 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD